%define upstream_name    Sub-Exporter-Progressive
%define upstream_version 0.001011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Only use Sub::Exporter if you need it
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
the Sub::Exporter manpage is an incredibly powerful module, but with that
power comes great responsibility, er- as well as some runtime penalties.
This module is a 'Sub::Exporter' wrapper that will let your users just use
the Exporter manpage if all they are doing is picking exports, but use
'Sub::Exporter' if your users try to use 'Sub::Exporter''s more advanced
features features, like renaming exports, if they try to use them.

Note that this module will export '@EXPORT' and '@EXPORT_OK' package
variables for 'Exporter' to work. Additionally, if your package uses
advanced 'Sub::Exporter' features like currying, this module will only ever
use 'Sub::Exporter', so you might as well use it directly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.1.11-5.mga6
+ Revision: 1033501
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.1.11-4.mga6
+ Revision: 947895
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.11-3.mga5
+ Revision: 743348
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.11-2.mga5
+ Revision: 686266
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.1.11-1.mga5
+ Revision: 581307
- update to 0.001011

* Sat Oct 19 2013 umeabot <umeabot> 0.1.10-2.mga4
+ Revision: 525145
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.1.10-1.mga4
+ Revision: 432391
- update to 0.001010

* Sun Jan 13 2013 umeabot <umeabot> 0.1.6-2.mga3
+ Revision: 372887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 shlomif <shlomif> 0.1.6-1.mga3
+ Revision: 289240
- update to 0.001006

* Sun Aug 26 2012 shlomif <shlomif> 0.1.5-1.mga3
+ Revision: 284077
- update to 0.001005

* Fri Aug 10 2012 shlomif <shlomif> 0.1.4-1.mga3
+ Revision: 280394
- New version 0.001004.
  Patch thanks to aghero, who is my apprentice.

* Sun Aug 05 2012 shlomif <shlomif> 0.1.3-1.mga3
+ Revision: 278698
- Add missing BuildRequires
- imported package perl-Sub-Exporter-Progressive


* Sun Aug 05 2012 cpan2dist 0.001003-1mga
- initial mageia release, generated with cpan2dist
